@extends('layout.app')
@section('title')
    <title>Aplus Agency</title>
@endsection
@section('content')
        @php  
          $msg = Session::get('msg') ?? null; 
        @endphp
    <!-- Slider section -->
    <section class="banner-section">
      <video width="100%" height="auto" id="vid" autoplay playsinline loop muted>
        <source src="{{url('frontend/video/aplus-video.mp4')}}" type="video/mp4">
      </video>
      <div class="banner-description">
        <h2>Study Commercial</h2>
        <h3>Cookery in Australia</h3>
        <p>Let us find you a work placement and secure your permanent residency in just 4 simple steps.</p>
      </div>
      <div class="banner-description-two">
        <h2>Our pathway will </h2>
        <h3>help you build a secure future in Australia </h3>
        <p>Let us find you a work placement and secure your permanent residency in just 4 simple steps.</p>
      </div>
      <div class="banner-description-three">
        <h2>Our pathway will </h2>
        <h3>help you build a secure future in Australia </h3>
        <p>Let us find you a work placement and secure your permanent residency in just 4 simple steps.</p>
      </div>
    </section>
    <!-- Slider section -->
    <!-- Achievement section -->
    <section class="achievement-section">
        <div class="achievement-items">
            <div class="achivement-sec">
                <img src="{{url('frontend/icons/success-icon.svg')}}" class="img-fluid" alt="">
                <h5>99% Visa Success</h5>
            </div>
            <div class="achivement-sec">
                <img src="{{url('frontend/icons/visa-approved.svg')}}" alt="">
                <h5>150 Visa Approved</h5>
            </div>
            <div class="achivement-sec">
                <img src="{{url('frontend/icons/institution.svg')}}" alt="">
                <h5>500+ Partner Institutions</h5>
            </div>
        </div>
    </section>
    <!-- Achievement section -->
    <!-- About us section -->
    <section class="about-us-section">
      <div class="row">
        <div class="col-md-6">
          <img src="{{url('frontend/images/about-image.png')}}" class="img-fluid" alt="">
        </div>
        <div class="col-md-6">
          <div class="about-us-sec">
            <h2>A-Plus Australia Agency</h2>
            <h4>We will help you achieve Permanent Residency in Australia</h4>
            <p>The success in your life comes from you thriving in the things that you are most passionate about.
              <br><br>
              At A-PLUS Australia agency, we strive to turn your dream into reality. Our team of well-established advisers are here to help you gain your qualifications and kick start your life by assisting you from the day of application till you gain your Permanent Residency in Australia.
            </p>
            <h5>Why Choose A-Plus Australia Agency?</h5>
            <ul>
              <li>100% Success</li>
              <li>Pathway to Parmanent</li>
              <li>You are our first Priority</li>
            </ul>
            <a href="#">View More</a>
          </div>
        </div>
      </div>
    </section>
    <!-- About us section -->
    <!-- our services section -->
    <section class="our-serivces-section">
      <div class="text-center our-services-header">
        <h2>Our Services</h2>
        <p>Delivering excellent and cost-effective solutions to ensure customer satisfaction.</p>
      </div>
      <div class="services-cards">
        @foreach($services as $service)
        <div class="services-card">
          <div class="services-icon">
            <img src="{{$service->icon}}" class="img-fluid" alt="">
          </div>
          <div class="services-card-content">
            <h3>{{$service->name}}</h3>
            <p>{!!strip_tags($service->short_description)!!}</p>
          </div>
        </div>
        @endforeach
        <!-- <div class="services-card">
          <div class="services-icon">
            <img src="{{url('frontend/icons/recruitment.svg')}}" class="img-fluid" alt="">
          </div>
          <div class="services-card-content">
            <h3>Recruitment</h3>
            <p>Trade skill assessment is a process to assess the right skills and knowledge required in the occupation field.</p>
          </div>
        </div>
        <div class="services-card">
          <div class="services-icon">
            <img src="{{url('frontend/icons/rpl-icon.svg')}}" class="img-fluid" alt="">
          </div>
          <div class="services-card-content">
            <h3>RPL (Recognition of Prior Learning)</h3>
            <p>We assist international students in finding
              full-time employment in Australia through a variety of hiring options.</p>
          </div>
        </div>
        <div class="services-card">
          <div class="services-icon">
            <img src="{{url('frontend/icons/Insurance-Icon.svg')}}" class="img-fluid" alt="">
          </div>
          <div class="services-card-content">
            <h3>Insurance</h3>
            <p>We offer flexible health insurance to cover unexpected medical expenses while staying in Australia.</p>
          </div>
        </div> -->
      </div>
    </section>
    <!-- our services section -->
    <!-- our recruitment section -->
    <section class="our-recruitment-section">
      <div class="our-recruitment-header">
        <h2>Our Recruitment Partners</h2>
        <p>We have 200 + recruitment partners</p>
      </div>
      <div class="slider-partners">
        @foreach($partners as $partner)
        <div class="partner-image">
          <img src="{{url($partner->image)}}" class="img-fluid" alt="">
        </div>
        @endforeach
        <!-- <div class="partner-image">
          <img src="{{url('frontend/images/laundy-hotels-logo.png')}}" class="img-fluid" alt="">
        </div>
        <div class="partner-image">
          <img src="{{url('frontend/images/tapa-vino.png')}}" class="img-fluid" alt="">
        </div>
        <div class="partner-image">
          <img src="{{url('frontend/images/the-sydney-collective.png')}}" class="img-fluid" alt="">
        </div> -->
      </div>
    </section>
    <!-- our recruitment section -->

    <!-- news and update section -->
    <section class="news-and-update-section">
      <div class="news-title">
        <h2>New & Updates</h2>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="featured-news">
            <div class="featured-news-image">
              <img src="{{url('frontend/images/featured-image.png')}}" class="w-100" alt="">
            </div>
            <div class="featured-content">
              <p>4 Nov, 2022</p>
              <h2>Recognition of Prior Learning (RPL)</h2>
              <div class="featured-btn">
                <a href="">Learn more</a>
                <i class="fa-solid fa-arrow-right-long"></i>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="more-news">
            <div class="more-news-box">
              <div class="news-box-img">
                <img src="{{url('frontend/images/baking.png')}}" class="w-100" alt="">
              </div>
              <div class="news-box-desc">
                <h4>Baking and Pastry Arts</h4>
                <p>Aadvanced culinary training in baking fresh bread, cakes, pies ...</p>
              </div>
            </div>
            <div class="more-news-box">
              <div class="news-box-img">
                <img src="{{url('frontend/images/baking.png')}}" class="w-100" alt="">
              </div>
              <div class="news-box-desc">
                <h4>Baking and Pastry Arts</h4>
                <p>Aadvanced culinary training in baking fresh bread, cakes, pies ...</p>
              </div>
            </div>
            <div class="more-news-box">
              <div class="news-box-img">
                <img src="{{url('frontend/images/baking.png')}}" class="w-100" alt="">
              </div>
              <div class="news-box-desc">
                <h4>Baking and Pastry Arts</h4>
                <p>Aadvanced culinary training in baking fresh bread, cakes, pies ...</p>
              </div>
            </div>
            <div class="more-news-box">
              <div class="news-box-img">
                <img src="{{url('frontend/images/baking.png')}}" class="w-100" alt="">
              </div>
              <div class="news-box-desc">
                <h4>Baking and Pastry Arts</h4>
                <p>Aadvanced culinary training in baking fresh bread, cakes, pies ...</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- news and update section -->
    <!-- clients section -->
    <section class="clients-section">
      <div class="clients-header text-center">
        <h2>What our Clients say about us?</h2>
        <p>{{$testimonials->first()->heading}}</p>
      </div>
      <div class="review-card-section">
        @foreach($testimonials as $testimonial)
          <div class="review-card">
              <div class="desc-section">
                  <img src="{{url('frontend/images/quoteicon.png')}}" class="img-fluid"/>
                  <p>{{$testimonial->review}}</p>
              </div>
              <div class="profile-content">
                <div class="rating-icon">
                  <img src="{{url('frontend/images/star.png')}}" class="img-fluid"/>
                </div>
                <!-- <a>Read more</a> -->
              </div>
              <div class="profile-section">
                <div class="profile-img">
                    <img src="{{url($testimonial->image)}}" class="img-fluid"/>
                </div>
                <div class="profile-detail">
                    <h5>{{$testimonial->author_name}}</h5>
                    <p>{{$testimonial->author_designation}}</p>
                </div>
            </div>
          </div>
        @endforeach
        
      </div>
    </section>
    <!-- clients section -->
    <!-- cotact section -->
    <section class="quick-enquiry-setion">
      <div class="row">
        <div class="col-md-6">
          <div class="enquiry-contacts">
            <h2>Let’s Start a Conversation</h2>
            <p>We’d love to hear from you. Our friendly support team is always here to assist you. </p>
            <div class="contact-desc">
              @if(!is_null($phone))
                <a href="tel: {{$phone->value}}" class="contact-phone">
                  <img src="{{url('frontend/icons/phone-Icon.svg')}}" alt="">
                  <h5>{{$phone->value}}</h5>
                </a>
              @endif
              @if(!is_null($email))
                <a href="mailto: {{$email->value}}" class="contact-phone">
                  <img src="{{url('frontend/icons/email-Icon.svg')}}" alt="">
                  <h5>{{$email->value}}</h5>
                </a>
              @endif
              @if(!is_null($address))
              <a href="https://goo.gl/maps/P4Y2PYGMpGa83L2R8" target="_blank" class="contact-phone">
                <img src="{{url('frontend/icons/location-Icon.svg')}}" alt="">
                <h5>{{$address->value}}</h5>
              </a>
              @endif
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="enquiry-header text-center">
            <h2>Quick Enquiry</h2>
            <p>Want to get in touch? Please fill in the form below and one of our agents will be in touch with you shortly. </p>
          </div>
          <form action="{{route('send_contact_mail')}}" method="post">
            @csrf
            <div class="row enquiry-form">
              <div class="col-md-6">
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <img src="{{url('frontend/icons/user-icon.svg')}}" alt="">
                    </span>
                  </div>
                  <input type="text" name = "fullname" class="form-control" placeholder="Full Name" aria-label="Fullname" aria-describedby="basic-addon1">
                </div>
              </div>
              <div class="col-md-6">
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <img src="{{url('frontend/icons/email-icon.svg')}}" alt="">
                    </span>
                  </div>
                  <input type="email" name = "email" class="form-control" placeholder="Email" aria-label="Email" aria-describedby="basic-addon1">
                </div>
              </div>
              <div class="col-md-6">
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">
                      <i class="fa-solid fa-phone"></i>
                    </span>
                  </div>
                  <input type="text" name = "phone" class="form-control" placeholder="Phone" aria-label="Phone" aria-describedby="basic-addon1">
                </div>
              </div>
              <div class="col-md-6">
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <label class="input-group-text" for="inputGroupSelect01">
                      <img src="{{url('frontend/icons/layers_light.svg')}}" alt="">
                    </label>
                  </div>
                  <select class="form-select" id="inputGroupSelect01" name = "service_id">
                    <option hidden>Choose Services</option>
                      @foreach($services as $service)
                      <option value="{{$service->id}}">
                        {{$service->name}}
                      </option>
                      @endforeach
                  </select>
                </div>
              </div>
              <div class="col-md-12">
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <label class="input-group-text" for="inputGroupSelect01">
                      <img src="{{url('frontend/icons/Chat_plus_light.svg')}}" alt="">
                    </label>
                  </div>
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Message" name="message"></textarea>
                </div>
              </div>
              <div class="text-center mt-3">
                <button class="btn-submit">Submit</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </section>
    <!-- cotact section -->
    
    
@endsection

@section('script')
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
  <script>
    $(document).ready(function(){
      $('.slider-partners').slick({
        slidesToShow: 3,
          slidesToScroll: 1,
          autoplay: true,
          autoplaySpeed: 2000,
      });
      $('.review-card-section').slick({
        slidesToShow: 3,
        slidesToScroll: 1,
        autoplay: true,
        autoplaySpeed: 2000,
        dots: true
      })
    });

    var php_var = "<?php echo $msg; ?>";
        if(php_var.length !== 0){
          alert('ok');
              Swal.fire({
                  title: 'Submitted!!',
                  text: php_var,
                  icon: 'success'
              })
        }
  </script>
@endsection